Bug 18847 - Add "Save and continue" option to notice editing
Summary: Add "Save and continue" option to notice editing
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-06-22 14:47 UTC by Owen Leonard
Modified: 2017-07-18 12:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18847 - Add "Save and continue" option to notice editing (5.08 KB, patch)
2017-06-22 14:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18847 - Add "Save and continue" option to notice editing (5.13 KB, patch)
2017-06-23 00:58 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 18847 - Add "Save and continue" option to notice editing (5.22 KB, patch)
2017-07-13 19:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-06-22 14:47:26 UTC
I find myself doing a lot of tweaking when getting HTML notices set up, so I think it would be helpful to have a "Save and continue editing" option.
Comment 1 Owen Leonard 2017-06-22 14:59:02 UTC
Created attachment 64549 [details] [review]
Bug 18847 - Add "Save and continue" option to notice editing

This patch adds an option to "Save and continue editing" when editing
notices. The submit button is now a split button in a floating toolbar.
The secondary action of the split button is "Save and continue editing."

To test, apply the patch and go to Tools -> Notices.

- Open any notice for editing. Verify that the toolbar looks correct and
  floats as it should when sections of the form are expanded and the
  page scrolls.
- Edit a notice and click the "Save" button. Confirm that you are
  redirected to the main Notices page and that your changes were saved.
- Edit a notice and click the "Save and continue editing" menu item.
  The page should reload with your updates in place.
Comment 2 sandboxes@biblibre.com 2017-06-23 00:58:17 UTC
Patch tested with a sandbox, by NickUCKohaCon17 <nicansjr@gmail.com>
Comment 3 sandboxes@biblibre.com 2017-06-23 00:58:39 UTC
Created attachment 64559 [details] [review]
Bug 18847 - Add "Save and continue" option to notice editing

This patch adds an option to "Save and continue editing" when editing
notices. The submit button is now a split button in a floating toolbar.
The secondary action of the split button is "Save and continue editing."

To test, apply the patch and go to Tools -> Notices.

- Open any notice for editing. Verify that the toolbar looks correct and
  floats as it should when sections of the form are expanded and the
  page scrolls.
- Edit a notice and click the "Save" button. Confirm that you are
  redirected to the main Notices page and that your changes were saved.
- Edit a notice and click the "Save and continue editing" menu item.
  The page should reload with your updates in place.

Signed-off-by: NickUCKohaCon17 <nicansjr@gmail.com>
Comment 4 Katrin Fischer 2017-07-04 05:37:30 UTC
+1 - nice idea!
Comment 5 Jonathan Druart 2017-07-13 19:38:15 UTC
Created attachment 65022 [details] [review]
Bug 18847 - Add "Save and continue" option to notice editing

This patch adds an option to "Save and continue editing" when editing
notices. The submit button is now a split button in a floating toolbar.
The secondary action of the split button is "Save and continue editing."

To test, apply the patch and go to Tools -> Notices.

- Open any notice for editing. Verify that the toolbar looks correct and
  floats as it should when sections of the form are expanded and the
  page scrolls.
- Edit a notice and click the "Save" button. Confirm that you are
  redirected to the main Notices page and that your changes were saved.
- Edit a notice and click the "Save and continue editing" menu item.
  The page should reload with your updates in place.

Signed-off-by: NickUCKohaCon17 <nicansjr@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-07-13 21:43:12 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-07-18 12:26:01 UTC
Enhancement not pushed to 17.05.x